from app import configs, configure_logger, router
import asyncio
from aiogram import Bot, Dispatcher 
from aiogram.enums.parse_mode import ParseMode
from aiogram.fsm.storage.memory import MemoryStorage
from loguru import logger

def register_logger():
    configure_logger(capture_exceptions=True)
    logger.info("Success logger register")

async def start_app():
    bot = Bot(token=configs.API_TOKEN_TG)
    dp = Dispatcher(storage=MemoryStorage())
    dp.include_router(router)
    logger.info("Starting bot..")
    await dp.start_polling(bot, allowed_updates=dp.resolve_used_update_types())
    
    
if __name__ == "__main__":
    loop = asyncio.get_event_loop()
    loop.run_until_complete(start_app())
    loop.run_forever()